# PFotos 1.2 Copyright(C) 2017-2019 Cora Kohlmeier, Frank Hamberg
proc checkImage {item} {
global langstring lang
global log startPos MarkAllOn
global DOS pfotoshome exiftool
global exifoutput exifsavename
set check 1
set exifoutput ""
set exifsavename ""
#  prüfen, ob die Bilddatei überhaupt vorhanden ist
if {![file exist $item]} {
    set check 0
# wenn nicht, Öffnen-Button und Exif-Speichern-Button deaktivieren     
	.se.right.tryopen configure -state disabled
	.se.mid.bottom.save configure -state disabled
# wenn das Bild nicht da ist, prüfen, ob der Pfad zum Bild noch da ist
	if { ![file exist [file dirname $item]] } {
			.se.mid.bottom.open configure -state disabled
	   } else {
# sonst den Button (wieder) aktiv schalten
			.se.mid.bottom.open configure -state normal
	   }	
# Fehlermeldung ausgeben
	$log delete 1.0 end
	$log insert end [encoding convertfrom utf-8 $langstring(imgnotfound_msg,$lang)]\n\n
	$log insert end [encoding convertfrom utf-8 $langstring(imgnotfound_detail,$lang)]\n
} else {
# sonst die Buttons (wieder) aktiv schalten
	.se.right.tryopen configure -state normal
	.se.mid.bottom.save configure -state normal

# und jetzt die Exif-Informationen auslesen und im Textfenster anzeigen
	if {$DOS==1} {
	     set imagefile [file nativename $item]
	     set cmd [file nativename  $pfotoshome/bat/extractoneexif.bat]
		 set command [list exec {*}[auto_execok $cmd] $exiftool $lang $imagefile]
	   } else {
	     set command [list exec $exiftool -lang $lang $item]
	    
	}
	    set exifoutput [fullLog $command]
	    set exifsavename $item
	    
	# Startposition für die Suche auf Anfang setzen	
		set startPos 1.0
	# wenn schon ein Suchstring markiert ist, dann soll nach Auswahl des neuen Bildes gleich wieder markiert werden
	# dazu: einmal abschalten (1. invoke) und wieder einschalten (2. invoke)	
		if { $MarkAllOn == 1} {
			.se.mid.search.mark invoke
			.se.mid.search.mark invoke
	    }		
}
# Ergebnis zurückgeben, wenn's den einer braucht
return $check

}
